GET restapi/personal/pages/{elementId}/v1

Get a page element by elementId.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
elementId

The unique identifier of the page element to retrieve

integer

Required

Body Parameters

None.

Response Information

Resource Description

PageResponse containing the page data

Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses.PageResponse
NameDescriptionTypeAdditional information
ElementId

The unique identifier for the page element in scope of a customer.

integer

None.

Title

The title of the page.

string

None.

ContentBlocks

The content blocks on the page.

Collection of Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses.ContentBlock

None.

CanEditSettings

True if the user can modify title and settings of the page (e.g. learning objectives)

boolean

None.

CanEditContent

True if the page's content blocks can be edited by the current user.

boolean

None.

CanChangePermissions

True if the current user is able to manage permissions for the current element.

boolean

None.

IsLearningPathSubElement

Defines whether current element belongs to learning path.

boolean

None.

Layout

The layout of the page (how many columns).

Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses.LayoutSchemaType

None.

Urls

URLs used in page.

Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses.PageUrls

None.

IconUrls

URLs for the icons used for page.

Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses.PageIconUrls

None.

IsCurrentlyActive

Indicates whether the page is visible in the present moment.

boolean

None.

IsActive

Indicates whether the element visibility setting is set to "Active" or "Scheduled". The value of false means "Inactive".

boolean

None.

ActiveFrom

When the page becomes active. Null means it is active immediately.

date

None.

ActiveTo

When the page becomes inactive. Null means it remains active indefinitely.

date

None.

LearningObjectiveSettings

Contains learning objective-related settings.

Itsolutions.Itslearning.Web.Areas.Elements.Models.LearningObjectiveSettingsModel

None.

SharingInfo

Sharing info - contains information about how and if page is connected to library. If this is null, it means that the page is not connected to the library or that user does not have access to this information.

Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models.ElementLibrarySharingInfo

None.

CopyStatus

The copy status of the page.

Itslearning.Platform.RestApi.Sdk.Common.Entities.LearningToolCopyStatus

None.

HasPermissionToCreateNewVersion

Returns true if the user is allowed to create a new version of an existing page, which is disconnected from the library. Check for a full check, since tool or author can still deny and override a user's permission.

boolean

None.

ToolSupportsCopying

Returns true if the learning tool supports copying, which is required for creating a new version of an existing learning tool element.

boolean

None.

AuthorAllowsCreateNewVersion

Returns true if the author of the learning tool element allows a new version to be created.

boolean

None.

CanCreateNewVersion

Returns true if the user is allowed to create a new version of an existing learning tool element.

boolean

None.

CurrentLanguage

Current language which is used for UI.

string

None.

FirstDayOfWeek

The first day of week.

integer

None.

ShortDatePattern

Custom format string for a short date value.

string

None.

FormatCultureName

The current format culture name.

string

None.

Use24TimeFormat

If the user uses 24-hour time format.

boolean

None.

Response Formats

application/json, text/json

Sample:
{
  "elementId": 1,
  "title": "sample string 2",
  "contentBlocks": null,
  "canEditSettings": true,
  "canEditContent": true,
  "canChangePermissions": true,
  "isLearningPathSubElement": true,
  "layout": "OneColumn",
  "urls": {
    "permissions": "sample string 1"
  },
  "iconUrls": {
    "archiveIcon": "sample string 1",
    "contentBlockChangeColumnIcon": "sample string 2",
    "contentBlockDeleteIcon": "sample string 3",
    "contentBlockEditIcon": "sample string 4",
    "contentBlockFilesIcon": "sample string 5",
    "contentBlockImagesIcon": "sample string 6",
    "contentBlockMoveDownIcon": "sample string 7",
    "contentBlockMoveUpIcon": "sample string 8",
    "contentBlockPollIcon": "sample string 9",
    "contentBlockRichTextIcon": "sample string 10",
    "contentBlockRssIcon": "sample string 11",
    "layoutOneColumnIcon": "sample string 12",
    "layoutTwoColumnsIcon": "sample string 13",
    "layoutTwoColumnsWideLeftIcon": "sample string 14",
    "learningObjectiveIcon": "sample string 15",
    "listenIcon": "sample string 16",
    "notifyAboutChangesIcon": "sample string 17",
    "permissions": "sample string 18",
    "restoreIcon": "sample string 19",
    "editInLibraryIcon": "sample string 20",
    "createNewVersionIcon": "sample string 21"
  },
  "isCurrentlyActive": true,
  "isActive": true,
  "activeFrom": "2026-05-13T09:55:00Z",
  "activeTo": "2026-05-13T09:55:00Z",
  "learningObjectiveSettings": {
    "isLearningObjectiveEnabledForLocation": true,
    "courseHasLearningObjectives": true,
    "learningObjectives": [
      {
        "id": 1,
        "title": "sample string 2",
        "description": "sample string 3",
        "isFromRepository": true,
        "type": 1
      },
      {
        "id": 1,
        "title": "sample string 2",
        "description": "sample string 3",
        "isFromRepository": true,
        "type": 1
      }
    ],
    "courseId": 3,
    "courseTitle": "sample string 4",
    "viewLearningObjectivesPageUrl": "sample string 5",
    "progressReportSettings": {
      "learningObjectiveProgressReportUrlPlaceHolder": "sample string 1",
      "learningObjectiveIdParameterName": "{LearningObjectiveId}"
    }
  },
  "sharingInfo": {
    "editInLibraryUrl": "sample string 1",
    "authorName": "sample string 2",
    "licenseVisible": true,
    "licenseUrl": "sample string 4",
    "licenseHint": "sample string 5",
    "licenseImageUrl": "sample string 6",
    "licenseName": "sample string 7"
  },
  "copyStatus": "None",
  "hasPermissionToCreateNewVersion": true,
  "toolSupportsCopying": true,
  "authorAllowsCreateNewVersion": true,
  "canCreateNewVersion": true,
  "currentLanguage": "sample string 13",
  "firstDayOfWeek": 14,
  "shortDatePattern": "sample string 15",
  "formatCultureName": "sample string 16",
  "use24TimeFormat": true
}

application/xml, text/xml

Sample:
<PageResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Page.Responses">
  <ActiveFrom>2026-05-13T09:55:00Z</ActiveFrom>
  <ActiveTo>2026-05-13T09:55:00Z</ActiveTo>
  <AuthorAllowsCreateNewVersion>true</AuthorAllowsCreateNewVersion>
  <CanChangePermissions>true</CanChangePermissions>
  <CanCreateNewVersion>true</CanCreateNewVersion>
  <CanEditContent>true</CanEditContent>
  <CanEditSettings>true</CanEditSettings>
  <ContentBlocks i:nil="true" />
  <CopyStatus>None</CopyStatus>
  <CurrentLanguage>sample string 13</CurrentLanguage>
  <ElementId>1</ElementId>
  <FirstDayOfWeek>14</FirstDayOfWeek>
  <FormatCultureName>sample string 16</FormatCultureName>
  <HasPermissionToCreateNewVersion>true</HasPermissionToCreateNewVersion>
  <IconUrls>
    <ArchiveIcon>sample string 1</ArchiveIcon>
    <ContentBlockChangeColumnIcon>sample string 2</ContentBlockChangeColumnIcon>
    <ContentBlockDeleteIcon>sample string 3</ContentBlockDeleteIcon>
    <ContentBlockEditIcon>sample string 4</ContentBlockEditIcon>
    <ContentBlockFilesIcon>sample string 5</ContentBlockFilesIcon>
    <ContentBlockImagesIcon>sample string 6</ContentBlockImagesIcon>
    <ContentBlockMoveDownIcon>sample string 7</ContentBlockMoveDownIcon>
    <ContentBlockMoveUpIcon>sample string 8</ContentBlockMoveUpIcon>
    <ContentBlockPollIcon>sample string 9</ContentBlockPollIcon>
    <ContentBlockRichTextIcon>sample string 10</ContentBlockRichTextIcon>
    <ContentBlockRssIcon>sample string 11</ContentBlockRssIcon>
    <CreateNewVersionIcon>sample string 21</CreateNewVersionIcon>
    <EditInLibraryIcon>sample string 20</EditInLibraryIcon>
    <LayoutOneColumnIcon>sample string 12</LayoutOneColumnIcon>
    <LayoutTwoColumnsIcon>sample string 13</LayoutTwoColumnsIcon>
    <LayoutTwoColumnsWideLeftIcon>sample string 14</LayoutTwoColumnsWideLeftIcon>
    <LearningObjectiveIcon>sample string 15</LearningObjectiveIcon>
    <ListenIcon>sample string 16</ListenIcon>
    <NotifyAboutChangesIcon>sample string 17</NotifyAboutChangesIcon>
    <Permissions>sample string 18</Permissions>
    <RestoreIcon>sample string 19</RestoreIcon>
  </IconUrls>
  <IsActive>true</IsActive>
  <IsCurrentlyActive>true</IsCurrentlyActive>
  <IsLearningPathSubElement>true</IsLearningPathSubElement>
  <Layout>OneColumn</Layout>
  <LearningObjectiveSettings xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.Areas.Elements.Models">
    <d2p1:CourseHasLearningObjectives>true</d2p1:CourseHasLearningObjectives>
    <d2p1:CourseId>3</d2p1:CourseId>
    <d2p1:CourseTitle>sample string 4</d2p1:CourseTitle>
    <d2p1:IsLearningObjectiveEnabledForLocation>true</d2p1:IsLearningObjectiveEnabledForLocation>
    <d2p1:LearningObjectives xmlns:d3p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.Areas.Common.Components.Models">
      <d3p1:LearningObjectiveModel>
        <d3p1:Description>sample string 3</d3p1:Description>
        <d3p1:Id>1</d3p1:Id>
        <d3p1:IsFromRepository>true</d3p1:IsFromRepository>
        <d3p1:Title>sample string 2</d3p1:Title>
        <d3p1:Type>Subject</d3p1:Type>
      </d3p1:LearningObjectiveModel>
      <d3p1:LearningObjectiveModel>
        <d3p1:Description>sample string 3</d3p1:Description>
        <d3p1:Id>1</d3p1:Id>
        <d3p1:IsFromRepository>true</d3p1:IsFromRepository>
        <d3p1:Title>sample string 2</d3p1:Title>
        <d3p1:Type>Subject</d3p1:Type>
      </d3p1:LearningObjectiveModel>
    </d2p1:LearningObjectives>
    <d2p1:ProgressReportSettings>
      <d2p1:LearningObjectiveProgressReportUrlPlaceHolder>sample string 1</d2p1:LearningObjectiveProgressReportUrlPlaceHolder>
    </d2p1:ProgressReportSettings>
    <d2p1:ViewLearningObjectivesPageUrl>sample string 5</d2p1:ViewLearningObjectivesPageUrl>
  </LearningObjectiveSettings>
  <SharingInfo xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models">
    <d2p1:AuthorName>sample string 2</d2p1:AuthorName>
    <d2p1:EditInLibraryUrl>sample string 1</d2p1:EditInLibraryUrl>
    <d2p1:LicenseHint>sample string 5</d2p1:LicenseHint>
    <d2p1:LicenseImageUrl>sample string 6</d2p1:LicenseImageUrl>
    <d2p1:LicenseName>sample string 7</d2p1:LicenseName>
    <d2p1:LicenseUrl>sample string 4</d2p1:LicenseUrl>
    <d2p1:LicenseVisible>true</d2p1:LicenseVisible>
  </SharingInfo>
  <ShortDatePattern>sample string 15</ShortDatePattern>
  <Title>sample string 2</Title>
  <ToolSupportsCopying>true</ToolSupportsCopying>
  <Urls>
    <Permissions>sample string 1</Permissions>
  </Urls>
  <Use24TimeFormat>true</Use24TimeFormat>
</PageResponse>